Skip to main content
GET
Get the total amount and emissions in the organization and categorize emissions to specific sources of emission

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organizationId
string
required

The organization id of the carbon emissions UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
fromDate
string<date>

Used for filtering

toDate
string<date>

Used for filtering

Response

OK

companyId
string

organization id

Pattern: ^[0-9a-fA-F]{32}$
companyName
string

Name of organization

totalAmount
number

Total expense amounts in organization

totalEmission
number

Total expense emissions in organization

emissionUnit
string

Unit of emission

currency
string

Currency of amount

emissionByCategory
object[]